driverName: manila.csi.openstack.org

# Enabled Manila share protocols
shareProtocols: {{ k8s_manila_csi_share_protocols | to_json }}

csimanila:
  image:
{% if k8s_manila_csi_image_repo %}
    repository: {{ k8s_manila_csi_image_repo }}
{% endif %}
    pullPolicy: IfNotPresent
{% if k8s_manila_csi_image_tag %}
    tag: {{ k8s_manila_csi_image_tag }}
{% endif %}

# DeamonSet deployment
nodeplugin:
  nodeSelector: {{ k8s_manila_csi_node_selector }}
  tolerations: {{ k8s_manila_csi_tolerations | to_json }}

# StatefulSet deployment
controllerplugin:
  nodeSelector: {{ k8s_manila_csi_node_selector }}
  tolerations: {{ k8s_manila_csi_tolerations | to_json }}

# Log verbosity level.
# See https://github.com/kubernetes/community/blob/master/contributors/devel/sig-instrumentation/logging.md
# for description of individual verbosity levels.
logVerbosityLevel: 2
